#
# spec file for package yast2-ui-qt (Version 2.4.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake freetype2 gpp libgpp libjpeg liblcms libmng libmng-devel libpng liby2 liby2-devel libycp libycp-devel libyui libyui-devel mesa mesa-devel mesasoft qt qt-devel xf86 xf86glu xf86glu-devel yast2-core-wfm yast2-core-wfm-devel ydoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool liby2 liby2-devel libycp libycp-devel libyui libyui-devel libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared yast2-core-wfm yast2-core-wfm-devel ydoc

Name:         yast2-ui-qt
Copyright:    (c) 2000 SuSE GmbH
Group:        System Environment/YaST
Provides:	YaST2-UI
Provides:	y2base:/var/lib/YaST2/servers/qt
Provides:	y2base:/usr/lib/YaST2/servers/qt
Provides:	y2base:/usr/lib/YaST2/plugin/libpy2qt.so.2
Summary:      Graphical user interface for YaST2
Version:      2.4.17
Release:      18
Source0:      yast2-ui-qt-2.4.17.tar.bz2

%description
One of several user interfaces available for YaST2, based on Qt and X11.

Authors:
--------
    Mathias Kettner <kettner@suse.de>

SuSE series: yast

%package devel
Version:      2.4.17
Release:      18
Summary:      Development package for graphical YaST2 user interfaces
Group:        Development/Libraries
Provides:     y2qt
Obsoletes:    y2qt

%description devel
Shared libs for the YaST2 Qt user interface.
This is not necessary for developing YaST2 scripts (YCP) -- the YaST2 main
program (y2bignfat) will load those components on demand as plug-ins.
Those plug-ins, however, are available within the base package (yast2-ui-qt).
You only need this package if you really wish to develop new binaries for
YaST2 and dynamically link those against the YaST2 Qt user interface rather
than loading the respective plug-ins.

Authors:
--------
    Mathias Kettner <kettner@suse.de>

SuSE series: yast

%prep
%setup -n yast2-ui-qt-2.4.17

%build
if [ -e /usr/lib/qt2 ]; then
    QTDIR=/usr/lib/qt2
else
    QTDIR=/usr/lib/qt
fi
aclocal
libtoolize --force --automake --copy
autoheader
automake --add-missing --copy
autoconf
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%ifarch ia64
export CXXFLAGS="$CXXFLAGS -O0"
%endif
%{?suse_update_config:%{suse_update_config -f}}
./configure --with-qt-dir=$QTDIR
make

%install
make install-strip
strip --strip-debug /usr/lib/YaST2/plugin/libpy2qt.so.2.0.0

%files
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2qt.so.*
%dir /usr/X11R6/lib/X11/fonts/uni
/usr/X11R6/lib/X11/fonts/uni/fonts.dir
/usr/X11R6/lib/X11/fonts/uni/newunifont.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontB.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontB18.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontBI.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/newunifontI.pcf.gz
/usr/X11R6/lib/X11/fonts/uni/unifont.pcf.gz

%files devel
%dir /usr/lib/YaST2/bin
/usr/lib/YaST2/bin/y2qt
%dir /usr/lib/YaST2/plugin
/usr/lib/YaST2/plugin/libpy2qt.so
/usr/lib/YaST2/plugin/libpy2qt.la
%dir /usr/share/doc/packages/yast2-ui-qt
/usr/share/doc/packages/yast2-ui-qt/*

%changelog -n yast2-ui-qt
* Mon Sep 24 2001 - sh@suse.de
- Don't set root window cursor to busy cursor
- V 2.4.17
* Fri Sep 21 2001 - sh@suse.de
- Fixed bug #11073: busy cursor unreliable
  The Qt UI now makes its own busy cursors rather than Qt's.
- V 2.4.16
* Tue Sep 18 2001 - sh@suse.de
- Fixed bug #8534: Spurious <b> </b> in SuSEconfig protocoll
- V 2.4.15
* Mon Sep 17 2001 - sh@suse.de
- Fixed bug #10754: Large popup windows partially invisible
- V 2.4.14
* Fri Sep 14 2001 - sh@suse.de
- Fixed bug #10614: Ikea mode triggered on Alt-W
- Consistent default button handling even in selbox
- V 2.4.13
* Wed Sep 12 2001 - sh@suse.de
- Only one window for all `opt(`defaultsize) dialogs
- Fixed bug #9915: Default button keyboard focus unreliable
- V 2.4.12
* Thu Sep 06 2001 - sh@suse.de
- V 2.4.11
  Implemented new UI builtin: GetDisplayInfo()
* Wed Sep 05 2001 - sh@suse.de
- V 2.4.10
  All headers "ydoc" compliant - fixed build problems
* Tue Sep 04 2001 - sh@suse.de
- V 2.4.9
  improved focus handling - (possible) fix for bug #9915
* Wed Jul 11 2001 - sh@suse.de
- V 2.4.8
  added glyph support (for new UI builtin Glyph() )
* Sat Jul 07 2001 - arvin@suse.de
- neededforbuild += freetype2
* Thu Jul 05 2001 - kkaempf@suse.de
- drop yast2-core-translator from neededforbuild
* Wed Jun 27 2001 - sh@suse.de
- V 2.4.5
  New widget: MultiSelectionBox
* Tue Jun 26 2001 - sh@suse.de
- V 2.4.4
  New widget: MenuButton
* Tue Jun 19 2001 - sh@suse.de
- Implemented wish #8357: Restrict input characters
  new widget property `ValidChars for TextEntry, ComboBox
* Tue Jun 19 2001 - kkaempf@suse.de
- implemented callback mechanism
* Tue Jun 12 2001 - sh@suse.de
- V 2.4.2
  Changed BarGraph variable substitution from "%%d" to "%%1"
  to become sformat() compatible
* Fri Jun 08 2001 - sh@suse.de
- V 2.4.1
- Implemented wish #7259: Automatically set `opt(`decorated)
  for non-defaultsize dialogs
- Implemented wish #8363: UserInput() returns special ID
  'debugHotkey when Ctrl-Alt-Shift-D is pressed
* Fri Jun 08 2001 - sh@suse.de
- V 2.4.0
  Macro recorder
* Mon May 14 2001 - sh@suse.de
- V 2.3.14: Fixed bug #8254, 2nd part: Bad czech charset in resizer
  Work around QString::sprintf() limitations (Latin1 compatible
  only), use QString::arg() instead
* Mon May 14 2001 - sh@suse.de
- V 2.3.13: Fixed bug #8254: Bad czech charset in resizer
  Added fromUTF8() call for explicit string conversion
* Tue May 08 2001 - kkaempf@suse.de
- provide split-alias entries for older versions
* Mon Apr 30 2001 - kkaempf@suse.de
- provide "YaST2-UI"
* Mon Apr 30 2001 - sh@suse.de
- V 2.3.10
  (partial) fix for bug #7004:
  Top-left align image in YImage widgets
* Thu Apr 19 2001 - sh@suse.de
- V 2.3.9
  Fixed bugs in RadioBox behaviour:
- second click on the same button will no longer deactivate it
- accept only one active RadioButton on RadioBox creation
  (all but the last will be deactivated)
* Thu Apr 12 2001 - sh@suse.de
- V 2.3.8
  Improved RadioBox keyboard navigation:
  No longer rely on QButtonGroup, own implementation of RadioBox
  behaviour -> no longer strange key mappings (cursor keys rather
  than tab as everybody expects)
* Thu Apr 05 2001 - sh@suse.de
- new options zeroWidth, zeroHeight for image widget
  to avoid complaints about title graphics not getting their
  "nice size" of 2000 pixels wide
- V 2.3.7
* Thu Mar 29 2001 - sh@suse.de
- moved shared libs from /usr/lib/YaST2/lib to /usr/lib
- V 2.3.5
* Thu Mar 29 2001 - kkaempf@suse.de
- dont install lib, only plugin is needed
* Tue Mar 27 2001 - kkaempf@suse.de
- minimize file list for yast2-ui-qt package
* Fri Mar 23 2001 - arvin@suse.de
- moved documentation to packages/yast2-ui-qt
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Mon Mar 12 2001 - arvin@suse.de
- Strip plugin in package.
* Thu Mar 08 2001 - arvin@suse.de
- Added unicode fonts (previously in y2base).
* Sat Jan 27 2001 - arvin@suse.de
- package split y2qt / y2qt-devel
* Tue Jan 23 2001 - sh@suse.de
- prevent crash upon window manager close
* Mon Jan 22 2001 - sh@suse.de
- V2.2.10
- New default title graphics from <wimer@suse.de> that are
  no longer cut off at the right at 640x480
- Renamed suseheader.xpm to yast2.xpm
- Use yast2.xpm for both `Image(`suseheader) and `Image(`yast2)
- Removed obsolete XPM images that were never used anyway
* Tue Jan 16 2001 - sh@suse.de
- V2.2.9
- New default image for Image(`suseheader): 2000 pixels wide
* Fri Jan 12 2001 - sh@suse.de
- V2.2.8
- Added module QXEmbed from Qt/KDE2 (TrollTech / LGPL)
  to enable reliable KDE2 control center integration:
  keyboard focus now works when running embedded in kcmshell
  (fix for bug #5475)
* Thu Jan 11 2001 - sh@suse.de
- V2.2.7
- Hide YQTextEntry label if empty label specified
-> no empty space above TextEntry widgets without label
* Tue Dec 19 2000 - ma@suse.de
- V2.2.6
- pass YCPstrings to ui specific widgets
* Mon Dec 18 2000 - sh@suse.de
- New optional widget: DownloadProgress
- V2.2.5
* Fri Dec 08 2000 - sh@suse.de
- More reliable nicesize() and setSize() behaviour for
  SelectionBox and TextEntry
-> no more cut-off pixel lines at the bottom
- V2.2.4
* Tue Dec 05 2000 - sh@suse.de
- New widget: MultiLineEdit
- Dialogs can no longer exceed screen dimensions
- V2.2.3
* Tue Nov 28 2000 - arvin@suse.de
- Fixed ComboBox layout errors on resize.
* Tue Nov 28 2000 - kkaempf@suse.de
- add libmng-devel to neededforbuild
* Thu Nov 16 2000 - kkaempf@suse.de
- split library and plugin
* Mon Nov 13 2000 - sh@suse.de
- Removed glx, glx-devel, mesa from .spec.in - Qt no longer needs it
- V2.1.8
* Thu Nov 09 2000 - kkaempf@suse.de
- static plugin only
* Tue Nov 07 2000 - sh@suse.de
- re-enabled static libs
  new widgets: LogView, IntField
  moved completely to new logging
  version 2.1.6
* Fri Nov 03 2000 - kkaempf@suse.de
- adapt neededforbuild for new qt
* Thu Nov 02 2000 - kkaempf@suse.de
- fix runqt include file
* Tue Oct 31 2000 - sh@suse.de
- Increased gcc warning level
  resolved minor warnings
  disabled static libs (speed up compilation)
  version 2.1.4
* Fri Oct 27 2000 - kkaempf@suse.de
- provide correct library
* Wed Oct 25 2000 - kkaempf@suse.de
- Group provided
* Wed Oct 25 2000 - sh@suse.de
- New widgets: BarGraph, Slider, PartitionSplitter
  version 2.1.2
* Thu Aug 31 2000 - sh@suse.de
- Added mesa and mesasoft to spec file
  (Qt 2.2+ now requires OpenGL)
  version 2.1.1
* Thu Jul 13 2000 - sh@suse.de
- Resize behaviour
  version 2.0.11
* Fri Jul 07 2000 - sh@suse.de
- Change table widget sorting for the umpteenth time:
  Maintain insertion order but allow for user sort-by-click
  version 2.0.10
* Thu Jul 06 2000 - sh@suse.de
- proper window close button handling (-> `cancel)
  version 2.0.9
* Tue Jul 04 2000 - kkaempf@suse.de
- check argument in returnNow
  version 2.0.8
* Mon Jun 26 2000 - sh@suse.de
- Changed default title image for SuSE 7.0
- increased version number to 2.0.7
* Mon Jun 19 2000 - kkaempf@suse.de
- use xmset from new saxtools package
  version 2.0.6
* Mon Jun 19 2000 - schwab@suse.de
- Add %%suse_update_config.
- Lower opt level on ia64.
* Mon Jun 19 2000 - kkaempf@suse.de
- add xmset from SaX2
  version 2.0.5
* Thu Jun 08 2000 - sh@suse.de
- Disabled X Input Method hack - this doesn't seem to work with
  XFree86 4.0
* Mon Jun 05 2000 - sh@suse.de
- Added correct QTDIR and dependencies to qtlib2 to spec file
* Thu May 18 2000 - kkaempf@suse.de
- pass includes to dist
  add tools to specfile
* Mon May 15 2000 - sh@suse.de
- New widget: ComboBox
* Wed Apr 26 2000 - kkaempf@suse.de
- Initial version based on yast2 from SuSE 6.4
